package com.ruoyi.mp.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author yexuejc
 * @class-name OrderStatus
 * @description
 * @date 2024/1/19 15:29
 */
public enum OrderStatus {
    /** 订单状态：默认：未支付 */
    NORMAL(0),
    /** 订单状态：已支付，待发货 */
    PAYED(1),
    /** 订单状态：已发货，待收货 */
    SHIPPED(2),
    /** 订单状态：完成，已收货 */
    RECEIVED(3),
    /** 订单状态：取消 */
    CANCEL(4),
    ;


    @EnumValue
    public final int code;

    OrderStatus(int code) {
        this.code = code;
    }
}
