package com.ruoyi.mp.domain;

import com.baomidou.mybatisplus.annotation.Version;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 带乐观锁版本的BaseEntity
 *
 * @author yexuejc
 * @class-name BaseVersionEntity
 * @description
 * @date 2024/1/19 14:11
 */
public class BaseVersionEntity extends BaseEntity {
    @Version
    private long version;

    public long getVersion() {
        return version;
    }

    public BaseVersionEntity setVersion(long version) {
        this.version = version;
        return this;
    }
}
