package com.ruoyi.mp.service;

import com.ruoyi.mp.constant.OrderStatus;
import com.ruoyi.mp.domain.UserOrder;
import com.ruoyi.mp.mapper.UserOrderMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author yexuejc
 * @class-name UserOrderService
 * @description
 * @date 2024/1/19 14:15
 */
@Service
public class UserOrderService {

    @Resource
    UserOrderMapper userOrderMapper;

    public void add() {
        UserOrder entity = new UserOrder();
        entity.setUid(123L);
        entity.setGid(4885L);
        entity.setStatus(OrderStatus.NORMAL);
        entity.setOrderTime(new Date());
        entity.setAmount(15200L);
        entity.setPayType("W");
        entity.setGoodsName("测试商品");
        int row = userOrderMapper.insert(entity);
        if (row > 0) {
            System.out.println("添加成功");
            System.out.println(entity);
        } else {
            System.out.println("添加失败");
        }
    }

    public UserOrder get(long orderId) {
        return userOrderMapper.selectById(orderId);
    }

    public void update(UserOrder order) {
        int row = userOrderMapper.updateById(order);
        if (row > 0) {
            System.out.println("更新成功");
        } else {
            System.out.println("更新失败");
        }
    }
}
