package com.ruoyi.mp;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * 按照实际情况设定自动获取操作者
 * @author yexuejc
 * @class-name Config
 * @description
 * @date 2024/1/19 15:46
 */
@Component
public class Config {

    @Bean
    @ConditionalOnMissingBean
    public MetaObjectHandler metaObjectHandler() {
        return new TestMetaObjectHandler();
    }

}
