package com.ruoyi.mp.domain;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.mp.constant.OrderStatus;

import java.util.Date;

/**
 * @author yexuejc
 * @class-name UserOrder
 * @description
 * @date 2024/1/19 14:10
 */
public class UserOrder extends BaseVersionEntity {
    private static final long serialVersionUID = 1L;
    @TableId(value = "order_id", type = IdType.AUTO)
    private Long orderId;
    private Long uid;
    private Long gid;

    @TableField("order_time")
    private Date orderTime;
    private Long amount;
    @TableField("pay_type")
    private String payType;
    @TableField("goods_name")
    private String goodsName;

    private OrderStatus status;

    public OrderStatus getStatus() {
        return status;
    }

    public UserOrder setStatus(OrderStatus status) {
        this.status = status;
        return this;
    }

    public Long getOrderId() {
        return orderId;
    }

    public UserOrder setOrderId(Long orderId) {
        this.orderId = orderId;
        return this;
    }

    public Long getUid() {
        return uid;
    }

    public UserOrder setUid(Long uid) {
        this.uid = uid;
        return this;
    }

    public Long getGid() {
        return gid;
    }

    public UserOrder setGid(Long gid) {
        this.gid = gid;
        return this;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public UserOrder setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
        return this;
    }

    public Long getAmount() {
        return amount;
    }

    public UserOrder setAmount(Long amount) {
        this.amount = amount;
        return this;
    }

    public String getPayType() {
        return payType;
    }

    public UserOrder setPayType(String payType) {
        this.payType = payType;
        return this;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public UserOrder setGoodsName(String goodsName) {
        this.goodsName = goodsName;
        return this;
    }

    @Override
    public String toString() {
        return "UserOrder{" +
                "orderId=" + orderId +
                ", uid=" + uid +
                ", gid=" + gid +
                ", orderTime=" + orderTime +
                ", amount=" + amount +
                ", payType='" + payType + '\'' +
                ", goodsName='" + goodsName + '\'' +
                ", status=" + status +
                ", version=" + getVersion() +
                ", create_by=" + getCreateBy() +
                ", create_time=" + getCreateTime() +
                ", update_by=" + getUpdateBy() +
                ", update_time=" + getUpdateTime() +
                "} " ;
    }
}
