CREATE TABLE `user_order`
(
    `order_id`    int NOT NULL AUTO_INCREMENT,
    `uid`         int                                                          DEFAULT NULL,
    `gid`         int                                                          DEFAULT NULL,
    `order_time`  datetime                                                     DEFAULT NULL,
    `amount`      int                                                          DEFAULT NULL,
    `status`      int                                                          DEFAULT NULL,
    `pay_type`    varchar(1)                                                   DEFAULT NULL,
    `goods_name`  varchar(100)                                                 DEFAULT NULL,
    `version`     bigint                                                       DEFAULT '0',
    `create_by`   varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                                     DEFAULT NULL COMMENT '创建时间',
    `update_by`   varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                                     DEFAULT NULL COMMENT '更新时间',
    `remark`      varchar(500)                                                 DEFAULT NULL comment '备注',
    PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;